(function ($) {
  Drupal.behaviors.initCodeMirror = {
    attach: function () {
      if (!this.hasAttribute('data-codemirror-init')) {
        this.setAttribute('data-codemirror-init', true);
        $('.codemirror-css').each(function () {
          CodeMirror.fromTextArea(this, {
            mode: 'text/css',
            lineNumbers: true,
            theme: 'vscode-dark',
          });
        });
      }
    },
  };  
})(jQuery);
